_Elm_Clock_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields

double | interval
double | first_interval
Elm_Clock_Edit_Mode | digedit
int | hrs
int | min
int | sec
int | timediff
Evas_Object * | digit [6]
Evas_Object * | am_pm_obj
Evas_Object * | sel_obj
Ecore_Timer * | ticker
Ecore_Timer * | spin
struct { |
int hrs |
int min |
int sec |
char ampm |
Elm_Clock_Edit_Mode digedit |
Eina_Bool seconds: 1 |
Eina_Bool am_pm: 1 |
Eina_Bool edit: 1 |
} | cur
Eina_Bool | paused: 1
| a flag whether clock is paused or not